LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XDialog2 Interface Referencepublished

Makes it possible to end a dialog and set a help id. More...

`import"XDialog2.idl";`

Inheritance diagram for XDialog2:

## Public Member Functions
void | endDialog ([in] long Result)
| hides the dialog and then causes XDialog::execute() to return with the given result value. More...
void | setHelpId ([in] string Id)
| sets the help id so that the standard help button action will show the appropriate help page. More...
Public Member Functions inherited from XDialog
void | setTitle ([in] string Title)
| sets the title of the dialog. More...
string | getTitle ()
| gets the title of the dialog. More...
short | execute ()
| shows the dialog. More...
void | endExecute ()
| hides the dialog and then causes XDialog::execute() to return. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Makes it possible to end a dialog and set a help id.

Since
  OOo 3.0

## Member Function Documentation

void endDialog | ( | [in] long | Result | ) |

hides the dialog and then causes XDialog::execute() to return with the given result value.

void setHelpId | ( | [in] string | Id | ) |

sets the help id so that the standard help button action will show the appropriate help page.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XDialog2.idl